Bug 141504 - UI Images look ugly with 1-bit depth with QT5 backend
Summary: UI Images look ugly with 1-bit depth with QT5 backend
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: graphics stack (show other bugs)
Version:
(earliest affected)
7.2.0.0.alpha0+
Hardware: All All
: high major
Assignee: Not Assigned
URL:
Whiteboard: target:7.2.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Qt5
  Show dependency treegraph
 
Reported: 2021-04-05 22:54 UTC by Gabor Kelemen
Modified: 2021-04-22 22:29 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot of the problem (79.81 KB, image/png)
2021-04-05 22:54 UTC, Gabor Kelemen
Details
How it looks nowadays (94.67 KB, image/png)
2021-04-21 17:38 UTC, Gabor Kelemen
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gabor Kelemen 2021-04-05 22:54:24 UTC
Created attachment 170971 [details]
Screenshot of the problem

Recently all images on the QT5 UI started to look as if they were 1 bit images.

Happens in:
Version: 7.2.0.0.alpha0+ / LibreOffice Community
Build ID: c088d26578d1be352efa49bd164a8217627648de
CPU threads: 8; OS: Linux 5.4; UI render: default; VCL: qt5
Locale: hu-HU (hu_HU.UTF-8); UI: en-US
Calc: threaded

bibisected to:

https://git.libreoffice.org/core/+/c181e510c5f5e74f1f6824b64637849aace9ae63

author	Noel Grandin <noel@peralex.com>	Thu Jan 07 09:46:07 2021 +0200
committer	Noel Grandin <noel.grandin@collabora.co.uk>	Tue Feb 23 11:20:35 2021 +0100

convert internal bitmap formats transparency->alpha

Adding CC to: Noel Grandin
Comment 1 Jan-Marek Glogowski 2021-04-06 00:45:03 UTC
I had noticed some time ago, but had no time for the bibisect. Thanks for doing that.

That Qt file has some more 255 values for transparency handling, mainly as initialization of the Qt5Painter objects.
Comment 2 Commit Notification 2021-04-06 13:22:50 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/e7424ff25a724ea5bb54b2282d5c3cbf74c92053

tdf#141504 qt5: ugly images

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Gabor Kelemen 2021-04-21 17:38:52 UTC
Created attachment 171343 [details]
How it looks nowadays

This came back recently with bug #141269 reverting the fix to this one.

https://cgit.freedesktop.org/libreoffice/core/commit/?id=cb09533c4a007e7cfde69046bcaeb47117d30a86

Version: 7.2.0.0.alpha0+
Build ID: b08a2b299418db84a71fe625f127f0484746010e
CPU threads: 8; OS: Linux 5.4; UI render: default; VCL: qt5 (qfont+xcb)
Locale: hu-HU (hu_HU.UTF-8); UI: de-DE
Calc: threaded
Comment 4 Commit Notification 2021-04-22 22:29:24 UTC
Jan-Marek Glogowski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/0e35aa3de1cb97bf5a5f9918bfe09063097e064a

tdf#141504 Qt5 fix transparency revert

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.